fse.vo

## Class PatientIdentifier

- java.lang.Object
- - fse.vo.PatientIdentifier

-     public class PatientIdentifier
      extends Object

  Contiene la chiave identificativa del paziente secondo lo standard HL7 CDA.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `extension`
    `private String` | `root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientIdentifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExtension()` Restituisce il codice dell'assistito secondo la codifica riportata in `root`
    `String` | `getRoot()` Restituisce l'OID della codifica cui si riferisce il valore riportato in extension
    `void` | `setExtension(String extension)` Specifica il codice dell'assistito secondo la codifica riportata in `root`.
    `void` | `setRoot(String root)` Specifica quale codifica si riferisce il codice riportato in `extension`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### root

          private String root

    - #### extension

          private String extension

  - ### Constructor Detail

    - #### PatientIdentifier

          public PatientIdentifier()

  - ### Method Detail

    - #### getRoot

          public String getRoot()

      Restituisce l'OID della codifica cui si riferisce il valore riportato in extension
      Returns:
        l'OID HL7

    - #### setRoot

          public void setRoot(String root)

      Specifica quale codifica si riferisce il codice riportato in `extension`. Parametro obbligatorio. Può assumere i valori OID previsti dallo standard HL7.

      - `2.16.840.1.113883.2.9.4.3.1` per la codifica TEAM
      - `2.16.840.1.113883.2.9.4.3.2` per il codice fiscale (preferibile)
      - `2.16.840.1.113883.2.9.4.3.3` per la codifica TEAM degli Stati
      - `2.16.840.1.113883.2.9.[REGIONE].4.1` per la codifica regionale, dove [REGIONE] è il codice della regione come definito da http://www.hl7italia.it/registro-oid.htm
      - `2.16.840.1.113883.2.9.2.[REGIONE].4.1` per la codifica STP regionale, dove [REGIONE] è il codice della regione come definito da http://www.hl7italia.it/registro-oid.htm
      Parameters:
        `root` - l'OID HL7

    - #### getExtension

          public String getExtension()

      Restituisce il codice dell'assistito secondo la codifica riportata in `root`
      Returns:
        il codice dell'assistito

    - #### setExtension

          public void setExtension(String extension)

      Specifica il codice dell'assistito secondo la codifica riportata in `root`. Parametro obbligatorio.
      Parameters:
        `extension` - il codice dell'assistito